Call to undefined method MoTranslator\Loader::loadFunctions() #12908

Closed
RobThree opened this Issue Jan 20, 2017 · 6 comments

Projects

None yet

3 participants

@RobThree
RobThree commented Jan 20, 2017 edited

Steps to reproduce

  1. Get release 4.5.6.2: git reset --hard ce2208635f5a1c69a90a871ea3ec7cdd96333022

  2. Pull latest: git pull (I'm currently 2327 commits behind)

    $ git status
    On branch master
    Your branch is behind 'origin/master' by 2327 commits, and can be fast-forwarded.

Expected behaviour

Anything since it's not released yet so all bets are off 😝 I'm just reporting this in case it may not have been noticed / is an (so far) unknown problem

Actual behaviour

Following error message appears:

( ! ) Fatal error: Uncaught Error: Call to undefined method MoTranslator\Loader::loadFunctions() in /var/www/phpmyadmin.xxxxx.xx/htdocs/libraries/common.inc.php on line 83
( ! ) Error: Call to undefined method MoTranslator\Loader::loadFunctions() in /var/www/phpmyadmin.xxxxx.xx/htdocs/libraries/common.inc.php on line 83
Call Stack
#	Time	Memory	Function	Location
1	0.0010	364424	{main}( )	.../index.php:0
2	0.0021	371976	require_once( '/var/www/phpmyadmin.xxxxx.xx/htdocs/libraries/common.inc.php' )	.../index.php:19

image

Server configuration

Operating system:
Linux 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u2 (2016-10-19) x86_64 GNU/Linux

Web server:
nginx version: nginx/1.11.8

Database:
10.0.28-MariaDB-0+deb8u1 - (Debian)

PHP version:
7.0.15-1~dotdeb+8.1

phpMyAdmin version:
Version information: 4.6.5.2 (up to date)
Git revision: ce22086 from master branch,
committed on Dec 06, 2016 at 04:11 AM by Isaac Bennetch

Client configuration

Browser:
Chrome 55 64bit
Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36

Operating system:
Microsoft Windows [Version 10.0.14393]

Again: I am just reporting this since it may not have been noticed. If it has been noticed / is known then feel free to close/delete this issue. I'm not sure but I guess @nijel should know about this "issue".

@nijel nijel closed this Jan 20, 2017
@nijel nijel self-assigned this Jan 20, 2017
@nijel nijel added the question label Jan 20, 2017
@RobThree
RobThree commented Jan 20, 2017 edited

composer update does nothing:

$ composer update
Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update
Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/guzzle instead.
Writing lock file
Generating autoload files

Error still there. But, again, I'm only reporting this since some commit in december (can't find the exact commit) stuff broke. Since no new releases since 4.6.5.2 have been released this is not a problem; I was only trying to give you/someone a heads-up that something may have broken since 4.6.5.2. I will wait for the next release.

@ibennetch
Contributor

Can you please try clearing your phpMyAdmin cookies (they start with pma) and clearing the browser cache to see if that helps? It could be that the error occurred then "got stuck" in your cache.

@nijel
Member
nijel commented Jan 20, 2017

Haven't you somehow merged master to older branches? The MoTranslator is used only in master, while you claim to use 4.6.x....

@RobThree
RobThree commented Jan 20, 2017 edited

Can you please try clearing your phpMyAdmin cookies (they start with pma) and clearing the browser cache to see if that helps? It could be that the error occurred then "got stuck" in your cache.

Doesn't help (cleared everything from cookies to local storage etc.). But regardless of cookies or whatever; a undefined method should not happen; whatever the program-flow would be, it should never invoke a non-existing method.

But I'm afraid I'm misunderstood here and maybe shouldn't have created the issue in the first place. I'm trying to notify someone that something may have been broken on master since 4.6.5.2 but that may well be a known problem which is maybe being worked on or a W.I.P.

Haven't you somehow merged master to older branches

Not that I know of...?

The MoTranslator is used only in master, while you claim to use 4.6.x....

Huh? Isn't master on 4.6.x then?

Anyway; don't worry about it. I'll wait for the next release instead of trying to run 'edge'.

@nijel
Member
nijel commented Jan 20, 2017

4.6.x is from QA_4_6 branch, upcoming 4.7 is developed in master.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment